<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui" xmlns:c="http://java.sun.com/jsp/jstl/core">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('title.profile.password')}" />
		</ui:define>
		<ui:define name="body">
			<h:panelGrid columns="2" cellpadding="5">
				<h:outputLabel for="pwd1" value="#{facesContext.translate('view.profile.password')}" />
				<p:password id="pwd1" value="#{loginModel.password}" label="pwd1" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'view.profile.password')}"
					placeholder="#{facesContext.translate('instruction.enter.password')}" />
				<h:outputLabel for="pwd2" value="#{facesContext.translate('view.profile.password.again')}" />
				<p:password id="pwd2" value="#{loginModel.passwordAgain}" label="pwd2" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'view.profile.password.again')}"
					placeholder="#{facesContext.translate('instruction.enter.password.again')}" />
			</h:panelGrid>
			<ship:buttongroup>
				<p:commandButton id="btn_cancel" action="#{loginController.toProfile}" immediate="true" ajax="false" value="#{facesContext.translate('button.cancel')}" />
				<p:commandButton id="btn_ok" action="#{loginController.doChangePassword}" ajax="false" value="#{facesContext.translate('button.changepassword')}" />
			</ship:buttongroup>
		</ui:define>
		<ui:define name="help_de">
			TODO StS: Das Passwort muss zweimal eingegeben werden, um Tippfehler zu vermeiden. Es wird verschlüsselt in der Datenbank gespeichert und kann nicht mehr entschlüsselt werden. 
		</ui:define>
	</ui:composition>
</h:body>
</html>